Memos
User Service

Update User

UpdateUser updates a user.

PATCH
/api/v1/users/{user}

Path Parameters

user*string

The user id.

Query Parameters

updateMask?string

Required. The list of fields to update.

Formatfield-mask
allowMissing?boolean

Optional. If set to true, allows updating sensitive fields.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PATCH "https://example.com/api/v1/users/string" \  -H "Content-Type: application/json" \  -d '{    "role": "ROLE_UNSPECIFIED",    "username": "string",    "state": "STATE_UNSPECIFIED"  }'
{
  "name": "string",
  "role": "ROLE_UNSPECIFIED",
  "username": "string",
  "email": "string",
  "displayName": "string",
  "avatarUrl": "string",
  "description": "string",
  "password": "string",
  "state": "STATE_UNSPECIFIED",
  "createTime": "2019-08-24T14:15:22Z",
  "updateTime": "2019-08-24T14:15:22Z"
}
{
  "code": 0,
  "message": "string",
  "details": [
    {
      "@type": "string"
    }
  ]
}

On this page

No Headings